| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Functions
img_project.h File Reference

Header file for projection functions. More...

`#include "rwimg.h"`
`#include "Matrix.h"`
`#include "View.h"`

Go to the source code of this file.

## Functions
Matrix | img_compare_projections (Bimage *p, double SNR, double hires, double lores, double shift_limit)
| Compares a set of projections from a 3D density map. More...
int | img_compare_projections_lowpass (Bimage *p, double SNR, double shift_limit)
| Compares a set of projections from a 3D density map. More...

## Detailed Description

Header file for projection functions.

Author
  Bernard Heymann

Date
  Created: 20010420
  Modified: 20140506

Definition in file img_project.h.

## Function Documentation

Matrix img_compare_projections | ( | Bimage * | p,
|  | double | SNR,
|  | double | hires,
|  | double | lores,
|  | double | shift_limit
| ) |  |

Compares a set of projections from a 3D density map.

Parameters

  *p | the 2D projections.
  SNR | SNR to impose on test projections.
  hires | high resolution limit.
  lores | low resolution limit.
  shift_limit | limit on cross-correlation shift.

Returns
  Matrix matrix with projection comparisons.

Definition at line 98 of file img_project.cpp.

int img_compare_projections_lowpass | ( | Bimage * | p,
|  | double | SNR,
|  | double | shift_limit
| ) |  |

Compares a set of projections from a 3D density map.

Parameters

  *p | the 2D projections.
  SNR | SNR to impose on test projections.
  shift_limit | limit on cross-correlation shift.

Returns
  int 0.

Definition at line 151 of file img_project.cpp.